# JacocoCoverageVerification

API Documentation: | `JacocoCoverageVerification`

Task for verifying code coverage metrics. Fails the task if violations are detected based on specified rules.

Requires JaCoCo version >= 0.6.3.

### Properties

Property | Description
`additionalClassDirs` | Additional class dirs that coverage data should be reported for.
`additionalSourceDirs` | Additional source dirs for the classes coverage data is being reported for.
`classDirectories` | Source sets that coverage should be reported for.
`executionData` | Collection of execution data files to analyze.
`jacocoClasspath` | Classpath containing Jacoco classes for use by the task.
`sourceDirectories` | Source sets that coverage should be reported for.
`violationRules` | The violation rules set for this task.

### Methods

Method | Description
`executionData(files)` | Adds execution data files to be used during coverage analysis.
`executionData(tasks)` | Adds execution data generated by a task to the list of those used during coverage analysis. Only tasks with a `JacocoTaskExtension` will be included; all others will be ignored.
`executionData(tasks)` | Adds execution data generated by the given tasks to the list of those used during coverage analysis. Only tasks with a `JacocoTaskExtension` will be included; all others will be ignored.

### Script blocks

No script blocks

### Property details

#### `ConfigurableFileCollection` `additionalClassDirs` (read-only)

Additional class dirs that coverage data should be reported for.

#### `ConfigurableFileCollection` `additionalSourceDirs` (read-only)

Additional source dirs for the classes coverage data is being reported for.

#### `ConfigurableFileCollection` `classDirectories` (read-only)

Source sets that coverage should be reported for.

#### `ConfigurableFileCollection` `executionData` (read-only)

Collection of execution data files to analyze.

#### `FileCollection` `jacocoClasspath`

Classpath containing Jacoco classes for use by the task.

Default with `jacoco` plugin:
  `project.configurations.jacocoAnt`

#### `ConfigurableFileCollection` `sourceDirectories` (read-only)

Source sets that coverage should be reported for.

#### `JacocoViolationRulesContainer` `violationRules` (read-only)

The violation rules set for this task.

### Method details

#### `void` `executionData`(``Object`...` files)

Adds execution data files to be used during coverage analysis.

#### `void` `executionData`(``Task`...` tasks)

Adds execution data generated by a task to the list of those used during coverage analysis. Only tasks with a `JacocoTaskExtension` will be included; all others will be ignored.

#### `void` `executionData`(`TaskCollection` tasks)

Adds execution data generated by the given tasks to the list of those used during coverage analysis. Only tasks with a `JacocoTaskExtension` will be included; all others will be ignored.